<?php

namespace Drupal\extra_field_example\Plugin\ExtraField\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\extra_field\Plugin\ExtraFieldFormBase;

/**
 * Example Extra field form display.
 *
 * @ExtraFieldForm(
 *   id = "example_markup",
 *   label = @Translation("Example markup"),
 *   description = @Translation("An extra markup element on a form."),
 *   bundles = {
 *     "node.*"
 *   },
 *   visible = true
 * )
 */
class ExampleMarkup extends ExtraFieldFormBase {

  /**
   * {@inheritdoc}
   */
  public function formElement(array &$form, FormStateInterface $form_state) {

    $element['example_markup'] = ['#markup' => '<p>Hello world</p>'];

    return $element;
  }

}
